--------------------------------------------------------------------------
-- Cpu_Times                                Copyrigth ENS ULM 1998-1998 --
-- Pierre VINCENS                   V 01.000                 03/04/1998 --
--------------------------------------------------------------------------
-- Obtention des temps cpu associ  un process. L'origine des temps
-- est prise lors de l'laboration du paquetage.
-- ATTENTION: les fonctions de dtermination des temps sont dans le fils
-- Cpu_Times.Basic. Ce dernier est dpendant du systme.
--------------------------------------------------------------------------

package Cpu_Times is

  pragma Pure;

  type Cpu_Duration is record
    Real_Time   : Duration;
    User_Time   : Duration;
    System_Time : Duration;
  end record;
  Zero : constant Cpu_Duration := (0.0,0.0,0.0);
  
end Cpu_Times;
