--------------------------------------------------------------------------
-- Assirc_Seeds.Database                    Copyrigth ENS ULM 1996-1999 --
-- Pierre VINCENS                   V 00.000                 24/06/1999 --
--------------------------------------------------------------------------
with Assirc_Database;

package body Assirc_Seeds.Database is

--------------------------------------------------------------------------
-- Acces aux bibliothques                                              --
--------------------------------------------------------------------------
  --use Type_Specifications.IO.Int_Io;
  package SL renames Assirc_Specifications.Database.Segment_List;
  use SL;

--------------------------------------------------------------------------
-- Controler l'accs  la base de donnes locale                        --
--------------------------------------------------------------------------
  protected body Local_Database is
    function Included(Seg1,Seg2 : in Segment_Type) return Boolean is
    begin
      return Assirc_Database.Included(Seg1,Seg2);
    end Included;
    procedure Append_Pair_In_Tree(Pair : in out Segment_Pair) is
    begin
      if Active then
	Assirc_Database.Append_Pair_In_Tree(Pair);
      end if;
    end Append_Pair_In_Tree;
    procedure Reset is
    begin
      Active := False;
      Assirc_Database.Reset_Tree;
    end Reset;
  end Local_Database;

--------------------------------------------------------------------------
-- Positionner les paramtres de gestion                                --
--------------------------------------------------------------------------
  procedure Set_Parameters(Excluded_Marge     : in Integer;
                           Intersection_Marge : in Integer) is

  begin
    Assirc_Database.Set_Parameters(Excluded_Marge,Intersection_Marge);    
  end Set_Parameters;

--------------------------------------------------------------------------
-- Donner l'ordre de dsactiver la base de donnes locale               --
--------------------------------------------------------------------------
  procedure Close_Local_Database is

  begin
    Local_Database.Reset;    
  end Close_Local_Database;

end Assirc_Seeds.Database;
