--------------------------------------------------------------------------
-- Assirc_Statistics                        Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 01.000                 06/04/1998 --
--------------------------------------------------------------------------

package body Assirc_Statistics is

  protected body Statistics is
    procedure Increment_Constituted is
    begin
      Constituted := Constituted + 1;
    end Increment_Constituted;

    procedure Increment_Tested is
    begin
      Tested := Tested + 1;
    end Increment_Tested;

    procedure Increment_Registered is
    begin
      Registered := Registered + 1;
    end Increment_Registered;

    procedure Increment_Validated is
    begin
      Validated := Validated + 1;
    end Increment_Validated;

    procedure Increment_Constituted(Count : in Natural) is
    begin
      Constituted := Constituted + Count;
    end Increment_Constituted;

    procedure Increment_Tested(Count : in Natural) is
    begin
      Tested := Tested + Count;
    end Increment_Tested;

    procedure Increment_Registered(Count : in Natural) is
    begin
      Registered := Registered + Count;
    end Increment_Registered;

    procedure Increment_Validated(Count : in Natural) is
    begin
      Validated := Validated + Count;
    end Increment_Validated;

    procedure Get_Statistics(Constituted : out Natural;
			     Tested      : out Natural;
			     Registered  : out Natural;
			     Validated   : out Natural) is
    begin
      Constituted := Statistics.Constituted;
      Tested      := Statistics.Tested;
      Registered  := Statistics.Registered;
      Validated   := Statistics.Validated;
    end Get_Statistics;
  
  end Statistics;

end Assirc_Statistics;
