--------------------------------------------------------------------------
-- Dassirc_Messages                         Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 01.000                 13/03/1998 --
--------------------------------------------------------------------------
with Ada.Text_Io; use Ada.Text_Io;

package body Dassirc_Messages is

  package View_Id_Io is new Ada.Text_Io.Integer_Io(View_Id);
  use View_Id_Io;
  
  procedure Message(View: in View_Id; Id : in Message_Id) is
  begin
    case Id is
      when      1 => Put("Connection refused by the dispatcher.");
      when      2 => Put("Sequences can not be loaded.");
      when    999 => Put("Constraint error raised.");
      when   1001 => Put("Connection accepted by the dispatcher.");
      when   1002 => Put("Disconnected from the dispatcher.");
      when   1003 => Put("Sequences transferred.");
      when   1004 => Put("Parameters transferred.");
      when others => Put("Unknown message");
    end case;
    Put(" ("); Put(View,0); Put(").");
    New_Line;
  end Message;

end Dassirc_Messages;
